Subject: Re: bug#20298: Missing public key for 24.5

From: Nicolas Petton <[email-masked]>
Date: Sat, 11 Apr 2015 12:57:17 +0200

Mehmet Atif Ergun writes:

> Hi,
>
> I tried to verify the new (emacs-24.5) release but the public key that
> signed the file is missing in the gnu keyring. The 24.4 had the same
> problem (the signature for 24.4 belonged to a @gnu.org address. This
> one belongs to a gmail address (Nicolas Petton
> <[email-masked]>, see below).)
>
> The file:
> https://ftp.gnu.org/gnu/emacs/emacs-24.5.tar.xz
>
> The signature:
> https://ftp.gnu.org/gnu/emacs/emacs-24.5.tar.xz.sig
>
> The keyring:
> https://ftp.gnu.org/gnu/gnu-keyring.gpg
>
> The output:
> $ gpg --verify --keyring ./gnu-keyring.gpg emacs-24.4.tar.xz.sig
> gpg: Signature made Mon 20 Oct 2014 02:58:21 PM EDT
> gpg:                using RSA key 0x6592E9A3A0B0F199
> gpg: Can't check signature: public key not found
>
> $ gpg --verify --keyring ./gnu-keyring.gpg emacs-24.5.tar.xz.sig
> gpg: Signature made Fri 10 Apr 2015 12:57:02 PM EDT
> gpg:                using RSA key 0x233587A47C207910
> gpg: Can't check signature: public key not found
>
> The output I was expecting was along the lines of:
> gpg: Good signature from .....

I'll try to see if I have the access rights to update the keyring with
my pubkey.

Nico